Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.iiop.jacorb
Class SSLSocketFactory

    java.lang.Object
      org.jboss.iiop.jacorb.SSLSocketFactory

All Implemented Interfaces:
  org.apache.avalon.framework.configuration.Configurable, org.jacorb.orb.factory.SocketFactory

public class SSLSocketFactory
extends Object
implements org.jacorb.orb.factory.SocketFactory, org.apache.avalon.framework.configuration.Configurable

This implementation of the JacORB-specific interface `org.jacorb.orb.factory.SocketFactory` uses the JSSE KeyManagerFactory and TrustManagerFactory objects encapsulated by a JBossSX SecurityDomain. It looks up the `org.jboss.security.SecurityDomain` instance bound to the name `CorbaORBService.SSL_DOMAIN` in the JBoss registry.

Version:
  $Revision: 1.2 $
Author:
  Francisco Reverbel

Constructor Summary
`SSLSocketFactory(org.jacorb.orb.ORB orb)`

Method Summary
`void` | `configure(org.apache.avalon.framework.configuration.Configuration configuration)`
`Socket` | `createSocket(String host, int port)`
`boolean` | `isSSL(Socket s)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SSLSocketFactory

    public SSLSocketFactory(org.jacorb.orb.ORB orb)
                     throws IOException

Method Detail

### createSocket

    public Socket createSocket(String host,
                               int port)
                        throws IOException,
                               UnknownHostException

  Specified by:
    `createSocket` in interface `org.jacorb.orb.factory.SocketFactory`
  Throws:
    `IOException`
    `UnknownHostException`

### isSSL

    public boolean isSSL(Socket s)

  Specified by:
    `isSSL` in interface `org.jacorb.orb.factory.SocketFactory`

### configure

    public void configure(org.apache.avalon.framework.configuration.Configuration configuration)
                   throws org.apache.avalon.framework.configuration.ConfigurationException

  Specified by:
    `configure` in interface `org.apache.avalon.framework.configuration.Configurable`
  Throws:
    `org.apache.avalon.framework.configuration.ConfigurationException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.